[VAULT] Impossible d'accèder aux coffres-forts (Résolu)

Applications, problèmes de configuration réseau
Répondre
jimarch
yeomen
Messages : 235
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

[VAULT] Impossible d'accèder aux coffres-forts (Résolu)

Message par jimarch »

Bonjour à toutes et à tous,

ce jour, après mise à jour complète du système, je rencontre le problème suivant sous KDE pour accéder à mes coffres-forts avec le composant du même nom.
Quand je clique sur l'icone dans Gestionnaire des tâches, je lis le message suivant :
Désolé une erreur s'est produite pendant le chargement de Coffres-forts
file:///usr/share/plasma/plasmoids/org.kde.plasma.vault/contents/ui/main.qml:102:36: Cannot assign object of type "QQC2.Action" to property of type "Action_QMLTYPE_129*" as the former is neither the same as the latter nor a sub-class of it.
et bien sûr pas moyen d'accéder aux coffres-forts :o
La version installée est : extra/plasma-vault 6.0.5-1

Je suis preneur de toute solution !
Fixe : AMD Ryzen 5 2600X Six-Core Processor | 15,6 Gio de mémoire vive | GeForce GTX 1650 SUPER/PCIe/SSE2
Portable : Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 17294
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [VAULT] Impossible d'accèder aux coffres-forts

Message par benjarobin »

Bonjour,
Pas vraiment d'idée, as tu bien redémarré après la mise à jour ? Es tu bien complètement à jour ?
Eventuellement un sujet similaire (mais résolu avec redémarrage) : https://www.mail-archive.com/kde-bugs-d ... 16909.html
Zsh | KDE | PC fixe : core i7, carte nvidia
Titre d'un sujet : [Thème] Sujet (état) / Règles du forum
jimarch
yeomen
Messages : 235
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [VAULT] Impossible d'accèder aux coffres-forts

Message par jimarch »

Benjarobin, bonjour !

Pour répondre à tes questions :
Mon système est totalement à jour et j'ai redémarré plusieurs fois depuis l'erreur... qui persiste !

J'ai regardé le lien que tu m'as envoyé. Le bug qui a été reporté est exactement le même que j'ai sur ma machine !
Ouf :shock: Je ne suis pas le seul et c'est donc plus un bug KDE qu'un pb lié à mon installation !
Je suppose qu'il n'y a plus qu'à attendre un correctif !
Heureusement que je n'avais mis dans un coffe-fort toute ma monnaie :mrgreen:

Cdt
Fixe : AMD Ryzen 5 2600X Six-Core Processor | 15,6 Gio de mémoire vive | GeForce GTX 1650 SUPER/PCIe/SSE2
Portable : Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
jimarch
yeomen
Messages : 235
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [VAULT] Impossible d'accèder aux coffres-forts

Message par jimarch »

Je continue avec ma tentative de solution...
Je ne suis pas entièrement sûr qu'il s'agisse d'un bug car rien trouvé sur le web à part le lien proposé par Benjarobin.
Dans ce lien, les commentateurs qui ont eu le même problème disent qu'une réinstallation du composant a pu résoudre le problème, ce qui n'est pas mon cas...

J'ai donc regardé quelles étaient les dépendances de plasma-vault et si elles étaient bien à jour sur mon système...

Et là quelques surprises. J'ai plusieurs dépendances qui étaient du type ---- -GIT et apparemment pas à jour vu leurs numéros.
J'ai pu les remplacer par la dernier version... non GIT.
Mais il m'en reste deux que je ne peux modifier car j'ai une erreur du type "conflit de dépendances" :

Le premier
# pacman -S kconfig
résolution des dépendances…
recherche des conflits entre paquets…
:: kconfig - 6.2.0-1 et kconfig-git - 6.0.0_r1295.g651d2ac8-1 sont en conflit. Supprimer kconfig-git ? [o/N] o
erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: la suppression de kconfig-git casse la dépendance « kconfig-git » requise par kcolorscheme-git
et le second
# pacman -S ki18n
résolution des dépendances…
recherche des conflits entre paquets…
:: ki18n - 6.2.0-1 et ki18n-git - 6.0.0_r726.g5fcbe22-1 sont en conflit. Supprimer ki18n-git ? [o/N] o
erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: la suppression de ki18n-git casse la dépendance « ki18n-git » requise par kcolorscheme-git
et là si je veux remplacer kcolorscheme-git , ce n'est pas possible non plus...
# pacman -S kcolorscheme
résolution des dépendances…
recherche des conflits entre paquets…
:: kcolorscheme - 6.2.0-1 et kcolorscheme-git - 6.0.0_r194.ge6583e7-1 sont en conflit. Supprimer kcolorscheme-git ? [o/N]
erreur : un conflit de paquets impossible à résoudre a été détecté
erreur : la préparation de la transaction a échoué (conflit de dépendances )
:: kcolorscheme - 6.2.0-1 et kcolorscheme-git - 6.0.0_r194.ge6583e7-1 sont en conflit
Une solution pour résoudre le problème ?

D'avance merci !
Fixe : AMD Ryzen 5 2600X Six-Core Processor | 15,6 Gio de mémoire vive | GeForce GTX 1650 SUPER/PCIe/SSE2
Portable : Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 17294
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [VAULT] Impossible d'accèder aux coffres-forts

Message par benjarobin »

Bonjour,
Tu dois tout faire d'un coup, c'est à dire installer tous les logiciels non git d'un coup. Normalement cela devrait être ok niveau dépendance si tu fais cela.
Et bien sûr toujours répondre oui au remplacement.
Zsh | KDE | PC fixe : core i7, carte nvidia
Titre d'un sujet : [Thème] Sujet (état) / Règles du forum
jimarch
yeomen
Messages : 235
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [VAULT] Impossible d'accèder aux coffres-forts

Message par jimarch »

Benjarobin, bonjour

J'ai mis une demande d'aide sur le forum d'Archlinux.
https://bbs.archlinux.org/viewtopic.php ... 6#p2174106
et j'ai obtenu la réponse suivante :
Your system isn't fully up to date. My info:
KDE wrote:

Operating System: Arch Linux
KDE Plasma Version: 6.0.5
KDE Frameworks Version: 6.2.0
Qt Version: 6.7.1
Kernel Version: 6.9.2-arch1-1 (64-bit)
Graphics Platform: X11

Try updating again. Try a different, perhaps more up-to-date mirror.
J'étais effectivement en "KDE Frameworks Version: 6.0.0"
je ne sais pas pourquoi car je mets mon système à jour quotidiennement.

J'ai mis à jour encore aujourd'hui mon système en changeant plusieurs fois de miroir.
et maintenant ma configuration est identique à celle de mon correspondant...
sauf que je suis en Wayland et non en X11
Système d'exploitation : Arch Linux
Version de KDE Plasma : 6.0.5
Version de KDE Frameworks : 6.2.0
Version de Qt : 6.7.1
Version de noyau : 6.9.2-arch1-1 (64-bit)
Plate-forme graphique : Wayland
Processeurs : 12 × AMD Ryzen 5 2600X Six-Core Processor
Mémoire : 15,5 Gio de mémoire vive
Processeur graphique : NVIDIA GeForce GTX 1650 SUPER/PCIe/SSE2
J'ai désintallé plasma-vault et réinstallé, redémarré... Rien n'y fait...
Je suis passé en X11 pour voir... Rien de plus
Je ne sais plus où chercher !
Fixe : AMD Ryzen 5 2600X Six-Core Processor | 15,6 Gio de mémoire vive | GeForce GTX 1650 SUPER/PCIe/SSE2
Portable : Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
jimarch
yeomen
Messages : 235
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [VAULT] Impossible d'accèder aux coffres-forts

Message par jimarch »

Bon, ça a l'air de se compliquer ...
sur https://bbs.archlinux.org/viewtopic.php ... 1#p2174211
un autre contributeur indique que :
I run into the same problem, not only the plasma-vault shows error, but kdeconnect also have a similar error message:
file:///usr/share/plasma/plasmoids/org.kde.plasma.vault/contents/ui/main.qml:102:36: Cannot assign object of type "QQC2.Action" to property of type "Action_QMLTYPE_100*" as the former is neither the same as the latter nor a sub-class of it.
file:///usr/share/plasma/plasmoids/org.kde.kdeconnect/contents/ui/main.qml:50:25: Type FullRepresentation unavailable
file:///usr/share/plasma/plasmoids/org.kde.kdeconnect/contents/ui/FullRepresentation.qml:63:32: Cannot assign object of type "Action" to property of type "Action_QMLTYPE_100*" as the former is neither the same as the latter nor a sub-class of it.
This should not be a partial upgrade problem.
Et de fait, chez moi je viens de découvrir que KDEConnect n'est plus utilisable !!! Même erreur !
Fixe : AMD Ryzen 5 2600X Six-Core Processor | 15,6 Gio de mémoire vive | GeForce GTX 1650 SUPER/PCIe/SSE2
Portable : Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 17294
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [VAULT] Impossible d'accèder aux coffres-forts

Message par benjarobin »

Est ce que tu es 100% à jour, sans aucun paquet de testing ni de AUR ?
Dis autrement tu as résolu ton problème de suppression des paquets git. Car manifestement tu n'es pas à jour !

Quelle est la sortie de : pacman -Qm
pacman -Qs kde
Zsh | KDE | PC fixe : core i7, carte nvidia
Titre d'un sujet : [Thème] Sujet (état) / Règles du forum
jimarch
yeomen
Messages : 235
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [VAULT] Impossible d'accèder aux coffres-forts

Message par jimarch »

Voilà le résultat des commandes :
1) pacman -Qm

Code : Tout sélectionner

 # pacman -Qm
aften 0.0.8-3
avidemux-core-git 2.8.2.240314.c30c468bd-1
avidemux-qt6-git 2.8.2.240314.c30c468bd-1
bauh 0.10.7-1
bluez-firmware 1.2-9
brother-hll2375dw 4.0.0-2
calf-ladspa 0.90.1.0-3
chatgpt-desktop-bin 1.1.0-1
check-broken-packages-pacman-hook-git r97.313dd92-1
ckb-next 0.6.0-1
clementine 1.4.0rc2-6
czkawka-gui-bin 7.0.0-3
dcaenc 3-1
dropbox 199.4.6287-1
extra-cmake-modules-git 6.1.0.r3681.1e6808bd-1
fetchmirrors 0.6-4
flashplugin 32.0.0.465-2
folderpreview 0.4.3-1
font-bh-ttf 1.0.4-1
freefilesync-bin 13.6-1
freshplayerplugin 0.3.11-2
goocanvas2 2.0.4-9
gst123 0.3.5-1
invidious-git r4950.99a5e9cb-1
jdflatpaksnapshot 2.2-2
journalwatch 1.1.0-4
k4dirstat 3.4.3-1
karchive-git 6.0.0_r747.ge952806-1
kcodecs-git 6.0.0_r573.g5372739-1
kcolorscheme-git 6.0.0_r194.ge6583e7-1
kconfig-git 6.0.0_r1295.g651d2ac8-1
kguiaddons-git 6.0.0_r592.gb92d00d-1
ki18n-git 6.0.0_r726.g5fcbe22-1
kjs 5.115.0-1
krunner5 5.115.0-4
krusader-git 2.9.0.dev.r6747.gfc288ff4-1
lenmus 6.0.1-2
libpdfium-nojs 6367.r1.7b90b15a21-1
libreoffice-extension-cleandoc 0.6.7-4
libreoffice-extension-grammalecte-fr 2.1.2-1
milcheck 0.3.4-1
nodejs-nativefier 52.0.0-1
noto-color-emoji-fontconfig 1.0.0-2
overdue 1.1.1-1
paccache-hook 1.1.1-2
pacgraph 20110629-8
package-query 1.12-1
pacmixer 0.6.4-1
pdf-xchange 10.3.0.386-1
pepper-flash 32.0.0.465-2
pkgtools 25-9
plasma5-applets-resources-monitor-git r19.3eb845f-1
pm2ml 2021.11.20.1-15
pmidi 1.7.1-1
powerpill 2021.11-15
python-bitmath 1.3.3.1-1
python-desktop-entry-lib 4.2-1
python-iso639 0.4.5-5
python-pymkv 1.0.8-1
python-pyvips 2.2.2-2
python3-memoizedb 2021-15
python3-xcgf 2021-15
python3-xcpf 2021.12-14
rclone-browser 1.8.0-3
rstudio-desktop-daily-bin 2024.07.0.daily.116-1
scoredate 3.2-2
sddm-config-editor-git 0.1.r71.g5c890b9-1
secure-delete 3.1a-1
simplescreenrecorder 0.4.4-2
solfege 3.23.4-7
soundkonverter 3.0.1.32-1
strace-with-colors 6.0-1
swapspace 1.18-1
teamviewer 15.53.6-1
tor-browser-bin 13.0.15-1
transcode 1.1.7-44
upd72020x-fw 1:1.0.0-2
whatsapp-nativefier 2.2337.7-1
xbrightness 0.3-3
yay 12.3.5-1
zoom 6.0.2-1
Voilà !


Pour info, les paquets GIT installés sont les suivants :
avidemux-core-git 2.8.2.240314.c30c468bd-1
avidemux-qt6-git 2.8.2.240314.c30c468bd-1
chatgpt-desktop-bin 1.1.0-1
check-broken-packages-pacman-hook-git r97.313dd92-1
extra-cmake-modules-git 6.1.0.r3681.1e6808bd-1
invidious-git r4950.99a5e9cb-1
karchive-git 6.0.0_r747.ge952806-1
kcodecs-git 6.0.0_r573.g5372739-1
kcolorscheme-git 6.0.0_r194.ge6583e7-1
kconfig-git 6.0.0_r1295.g651d2ac8-1
kguiaddons-git 6.0.0_r592.gb92d00d-1
ki18n-git 6.0.0_r726.g5fcbe22-1
krusader-git 2.9.0.dev.r6747.gfc288ff4-1
plasma5-applets-resources-monitor-git r19.3eb845f-1
sddm-config-editor-git 0.1.r71.g5c890b9-1
2) pacman -Qs kde

Code : Tout sélectionner

 # pacman -Qs kde
local/ark 24.05.0-1 (kde-applications kde-utilities)
    Archiving Tool
local/bluedevil 1:6.0.5.1-1 (plasma)
    Integrate the Bluetooth technology within KDE workspace and applications
local/discover 6.0.5-1 (plasma)
    KDE and Plasma resources management GUI
local/dolphin 24.05.0-1 (kde-applications kde-system)
    KDE File Manager
local/dolphin-plugins 24.05.0-1 (kde-applications kdesdk)
    Extra Dolphin plugins
local/drkonqi 6.0.5-1 (plasma)
    The KDE crash handler
local/ffmpegthumbs 24.05.0-1 (kde-applications kde-multimedia)
    FFmpeg-based thumbnail creator for video files
local/filelight 24.05.0-1 (kde-applications kde-utilities)
    View disk usage information
local/frameworkintegration 6.2.0-1 (kf6)
    Framework providing components to allow applications to integrate with a KDE Workspace
local/frameworkintegration5 5.116.0-1 (kf5)
    Framework providing components to allow applications to integrate with a KDE Workspace
local/gwenview 24.05.0-1 (kde-applications kde-graphics)
    A fast and easy to use image viewer
local/k3b 1:24.05.0-1 (kde-applications kde-multimedia)
    Feature-rich and easy to handle CD burning application
local/k4dirstat 3.4.3-1
    A graphical disk usage utility for KDE
local/kactivities5 5.116.0-1 (kf5)
    Core components for KDE Activities
local/kate 24.05.0-1 (kde-applications kde-utilities)
    Advanced text editor
local/kcalc 24.05.0-1 (kde-applications kde-utilities)
    Scientific Calculator
local/kcalendarcore 6.2.0-1 (kf6)
    The KDE calendar access library
local/kcalendarcore5 5.116.0-1 (kf5)
    The KDE calendar access library
local/kcharselect 24.05.0-1 (kde-applications kde-utilities)
    Character Selector
local/kcontacts 1:6.2.0-1 (kf6)
    Address book API for KDE
local/kcontacts5 5.116.0-1 (kf5)
    Address book API for KDE
local/kde-cli-tools 6.0.5-1 (plasma)
    Tools based on KDE Frameworks 5 to better interact with the system
local/kde-gtk-config 6.0.5-1 (plasma)
    Syncs KDE settings to GTK applications
local/kdeclarative 6.2.0-1 (kf6)
    Provides integration of QML and KDE Frameworks
local/kdeclarative5 5.116.0-1 (kf5)
    Provides integration of QML and KDE Frameworks
local/kdeconnect 24.05.0-2 (kde-applications kde-network)
    Adds communication between KDE and your smartphone
local/kdecoration 6.0.5-1 (plasma)
    Plugin based library to create window decorations
local/kded 6.2.0-1 (kf6)
    Extensible deamon for providing system level services
local/kded5 5.116.0-1 (kf5)
    Extensible deamon for providing system level services
local/kdegraphics-mobipocket 24.05.0-1
    A library to handle mobipocket files
local/kdegraphics-thumbnailers 24.05.0-1 (kde-applications kde-graphics)
    Thumbnailers for various graphics file formats
local/kdelibs4support 5.116.0-1 (kf5-aids)
    Porting aid from KDELibs4
local/kdenlive 24.05.0-1 (kde-applications kde-multimedia)
    A non-linear video editor for Linux using the MLT video framework
local/kdeplasma-addons 6.0.5-1 (plasma)
    All kind of addons to improve your Plasma experience
local/kdesdk-thumbnailers 24.05.0-1 (kde-applications kdesdk)
    Plugins for the thumbnailing system
local/kdesignerplugin 5.116.0-1 (kf5-aids)
    Integration of Frameworks widgets in Qt Designer/Creator
local/kdesu 6.2.0-1 (kf6)
    Integration with su for elevated privileges
local/kdesu5 5.116.0-1 (kf5)
    Integration with su for elevated privileges
local/kdf 24.05.0-1 (kde-applications kde-utilities)
    View Disk Usage
local/kdialog 24.05.0-1 (kde-applications kde-utilities)
    A utility for displaying dialog boxes from shell scripts
local/kfind 24.05.0-1 (kde-applications kde-utilities)
    Find Files/Folders
local/kgpg 24.05.0-1 (kde-applications kde-utilities)
    A GnuPG frontend
local/kholidays 1:6.2.0-1 (kf6)
    KDE library for regional holiday information
local/kholidays5 1:5.116.0-1 (kf5)
    KDE library for regional holiday information
local/kid3 3.9.5-3
    An MP3, Ogg/Vorbis and FLAC tag editor, KDE version
local/kinit 5.116.0-1 (kf5)
    Process launcher to speed up launching KDE applications
local/kio-admin 24.05.0-1 (kde-applications kde-system)
    Manage files as administrator using the admin:// KIO protocol
local/kio-extras 24.05.0-1 (kde-applications kde-network)
    Additional components to increase the functionality of KIO
local/kmenuedit 6.0.5-1 (plasma)
    KDE menu editor
local/kompare 24.05.0-1 (kde-applications kdesdk)
    Graphical file differences tool
local/konsole 24.05.0-1 (kde-applications kde-utilities)
    KDE terminal emulator
local/krusader-git 2.9.0.dev.r6747.gfc288ff4-1
    Advanced twin panel file manager for KDE. (GIT version)
local/kscreen 6.0.5-1 (plasma)
    KDE screen management software
local/ksystemlog 24.05.0-1 (kde-applications kde-system)
    System log viewer tool
local/kwave 24.05.0-1 (kde-applications kde-multimedia)
    A sound editor
local/kwrited 6.0.5-1 (plasma)
    KDE daemon listening for wall and write messages
local/libappindicator-gtk3 12.10.0.r298-3
    Allow applications to extend a menu via Ayatana indicators in Unity, KDE or Systray (GTK+ 3 library)
local/libblockdev 3.1.1-2
    A library for manipulating block devices
local/libblockdev-crypto 3.1.1-2
    A library for manipulating block devices - crypto support
local/libblockdev-fs 3.1.1-2
    A library for manipulating block devices - filesystem support
local/libblockdev-loop 3.1.1-2
    A library for manipulating block devices - loop device support
local/libblockdev-mdraid 3.1.1-2
    A library for manipulating block devices - MDRAID support
local/libblockdev-nvme 3.1.1-2
    A library for manipulating block devices - NVME support
local/libblockdev-part 3.1.1-2
    A library for manipulating block devices - partitioning support
local/libblockdev-swap 3.1.1-2
    A library for manipulating block devices - swap device support
local/libkcddb 24.05.0-1
    KDE CDDB library
local/libkcddb5 24.05.0-1
    KDE CDDB library
local/libkscreen 6.0.5-1 (plasma)
    KDE screen management software
local/minuet 24.05.0-1 (kde-applications kde-education)
    A KDE Software for Music Education
local/okteta 1:0.26.15-1
    KDE hex editor for viewing and editing the raw data of files
local/okular 24.05.0-1 (kde-applications kde-graphics)
    Document Viewer
local/oxygen 6.0.5-1 (plasma)
    KDE Oxygen style
local/phonon-qt5 4.12.0-4
    The multimedia framework by KDE
local/phonon-qt6 4.12.0-4
    The multimedia framework by KDE
local/plasma-activities 6.0.5-1 (plasma)
    Core components for KDE Activities
local/plasma-desktop 6.0.5-1 (plasma)
    KDE Plasma Desktop
local/plasma-meta 6.0-2
    Meta package to install KDE Plasma
local/plasma-workspace 6.0.5-1 (plasma)
    KDE Plasma Workspace
local/plasmatube 24.05.0-1 (kde-applications kde-multimedia)
    Kirigami YouTube video player based on QtMultimedia and youtube-dl
local/polkit-kde-agent 6.0.5-1 (plasma)
    Daemon providing a polkit authentication UI for KDE
local/sddm-kcm 6.0.5-1 (plasma)
    KDE Config Module for SDDM
local/signon-kwallet-extension 24.05.0-1 (kde-applications kde-network)
    KWallet integration for signon framework
local/spectacle 24.05.0-1 (kde-applications kde-graphics)
    KDE screenshot capture utility
local/systemsettings 6.0.5-1 (plasma)
    KDE system manager for hardware, software, and workspaces
local/xdg-desktop-portal-kde 6.0.5-1 (plasma)
    A backend implementation for xdg-desktop-portal using Qt/KF5

Fixe : AMD Ryzen 5 2600X Six-Core Processor | 15,6 Gio de mémoire vive | GeForce GTX 1650 SUPER/PCIe/SSE2
Portable : Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 17294
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [VAULT] Impossible d'accèder aux coffres-forts

Message par benjarobin »

Comme indiqué précédemment (viewtopic.php?p=181492#p181492) tu ne dois pas avoir tous ces paquets git, tu n'es pas à jour. Tu es dans un état "indéterminé".
Je penses que tu devrais essayer de faire (et nous donner la sortie) :

Code : Tout sélectionner

paman -Rscn krunner5 plasma5-applets-resources-monitor
pacman -S extra-cmake-modules karchive kcodecs  kcolorscheme kconfig kguiaddons ki18n krusader
Zsh | KDE | PC fixe : core i7, carte nvidia
Titre d'un sujet : [Thème] Sujet (état) / Règles du forum
jimarch
yeomen
Messages : 235
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [VAULT] Impossible d'accèder aux coffres-forts

Message par jimarch »

Avant de lire ton dernier message j'avais commencé à mettre à jour tout ce que je pouvais dans les paquets GIt.

soit :
avidemux-core-git 2.8.2.240314.c30c468bd-1 --> pas mieux
avidemux-qt6-git 2.8.2.240314.c30c468bd-1 --> pas mieux
chatgpt-desktop-bin 1.1.0-1 --> à jour

check-broken-packages-pacman-hook-git r97.313dd92-1 ---> mis à jour en version extra/
extra-cmake-modules-git 6.1.0.r3681.1e6808bd-1 ---> mis-à-jour en version extra/
invidious-git r4950.99a5e9cb-1 ---> supprimé
karchive-git 6.0.0_r747.ge952806-1 ---> mis-à-jour en version extra
kcodecs-git 6.0.0_r573.g5372739-1 ---> mis-à-jour en version extra
kcolorscheme-git 6.0.0_r194.ge6583e7-1 ---> mis-à-jour en version extra
kconfig-git 6.0.0_r1295.g651d2ac8-1 ---> mis-à-jour en version extra
kguiaddons-git 6.0.0_r592.gb92d00d-1 ---> mis-à-jour en version extra
ki18n-git 6.0.0_r726.g5fcbe22-1 ---> mis-à-jour en version extra
krusader-git 2.9.0.dev.r6747.gfc288ff4-1 ---> mis-à-jour en version extra
plasma5-applets-resources-monitor-git r19.3eb845f-1 ---> supprimé
sddm-config-editor-git 0.1.r71.g5c890b9-1 ---> supprimé
Pour répondre à tes demandes (et compte-tenu de ce qui précède)
1) pacman -Rscn krunner5
# pacman -Rscn krunner5
vérification des dépendances…
:: pinentry peut nécessiter kwayland5: qt backend

Paquet (4) Ancienne version Changement net

kwayland5 5.116.0-1 -6,81 MiB
plasma-framework5 5.116.0-1 -5,13 MiB
threadweaver5 5.116.0-1 -0,86 MiB
krunner5 5.115.0-4 -0,87 MiB

Taille totale supprimée : 13,66 MiB
2) pacman -S extra-cmake-modules karchive kcodecs kcolorscheme kconfig kguiaddons ki18n krusader
# pacman -S extra-cmake-modules karchive kcodecs kcolorscheme kconfig kguiaddons ki18n krusader
avertissement : extra-cmake-modules-6.2.0-1 est à jour -- réinstallation
avertissement : karchive-6.2.0-1 est à jour -- réinstallation
avertissement : kcodecs-6.2.0-1 est à jour -- réinstallation
avertissement : kcolorscheme-6.2.0-1 est à jour -- réinstallation
avertissement : kconfig-6.2.0-1 est à jour -- réinstallation
avertissement : kguiaddons-6.2.0-1 est à jour -- réinstallation
avertissement : ki18n-6.2.0-1 est à jour -- réinstallation
avertissement : krusader-2.8.1-1 est à jour -- réinstallation
résolution des dépendances…
recherche des conflits entre paquets…

:: Voulez-vous désinstaller ces paquets ? [O/n]

Paquet (8) Ancienne version Nouvelle version Changement net
extra/extra-cmake-modules 6.2.0-1 6.2.0-1 0,00 MiB
extra/karchive 6.2.0-1 6.2.0-1 0,00 MiB
extra/kcodecs 6.2.0-1 6.2.0-1 0,00 MiB
extra/kcolorscheme 6.2.0-1 6.2.0-1 0,00 MiB
extra/kconfig 6.2.0-1 6.2.0-1 0,00 MiB
extra/kguiaddons 6.2.0-1 6.2.0-1 0,00 MiB
extra/ki18n 6.2.0-1 6.2.0-1 0,00 MiB
extra/krusader 2.8.1-1 2.8.1-1 0,00 MiB

Taille totale installée : 41,28 MiB
Taille de mise à jour nette : 0,00 MiB
J'ai réinstallé aussi kdeconnect et plasma-vault
J'ai redémarré...
toujours pas résolu... mais un peu de nettoyage a été fait...
Fixe : AMD Ryzen 5 2600X Six-Core Processor | 15,6 Gio de mémoire vive | GeForce GTX 1650 SUPER/PCIe/SSE2
Portable : Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
jimarch
yeomen
Messages : 235
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [VAULT] Impossible d'accèder aux coffres-forts

Message par jimarch »

Du nouveau sur ce problème !

Je viens de découvrir que quand je me connecte avec le compte d'un autre utilisateur, sur le même système bien entendu
[j'ai dans ma famille deux autres personnes qui utilisent aussi cet ordi],
Vault et Kdeconnect marchent parfaitement ...
J'ai donc quelque part dans mes fichiers de config ou de cache ou ailleurs ??? (mais pas dans la partition système) une config qui m'empêche de faire fonctionner Vault et Kdeconnect...

Une idée pour savoir où chercher ???

J'ai déjà appliqué :
rm -r ~/.cache/plasmashell/qmlcache
sans succès, comme proposé dans https://bbs.archlinux.org/viewtopic.php ... 1#p2174211
Fixe : AMD Ryzen 5 2600X Six-Core Processor | 15,6 Gio de mémoire vive | GeForce GTX 1650 SUPER/PCIe/SSE2
Portable : Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
jimarch
yeomen
Messages : 235
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [VAULT] Impossible d'accèder aux coffres-forts

Message par jimarch »

OUF ! a priori, j'ai réglé mon problème
Après une recherche laborieuse, et en comparant les installations des différents utilisateurs de mon ordi, j'ai trouvé le fichier fautif qui est :
.config/plasma-org.kde.plasma.desktop-appletsrc
en le supprimant, j'ai pu récupérer les accès à Vault et à KDEConnect
Si ça peut servir à d'autres, n'hésitez pas
Fixe : AMD Ryzen 5 2600X Six-Core Processor | 15,6 Gio de mémoire vive | GeForce GTX 1650 SUPER/PCIe/SSE2
Portable : Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
jimarch
yeomen
Messages : 235
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [VAULT] Impossible d'accèder aux coffres-forts (Résolu)

Message par jimarch »

:merci:
Fixe : AMD Ryzen 5 2600X Six-Core Processor | 15,6 Gio de mémoire vive | GeForce GTX 1650 SUPER/PCIe/SSE2
Portable : Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
jimarch
yeomen
Messages : 235
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [VAULT] Impossible d'accèder aux coffres-forts (Résolu)

Message par jimarch »

Pour clore cette discussion, j'ai une recommandation à faire :
A la lecture de plusieurs discussions sur le web, je ne suis pas le seul à avoir eu des problèmes avec le fichier incriminé
Je ne peux que recommander cette suggestion :
faire régulièrement une copie (.bak ou .sav...) du fichier .config/plasma-org.kde.plasma.desktop-appletsrc
de façon à pouvoir restaurer le fichier en cas de corruption de plasma...
Fixe : AMD Ryzen 5 2600X Six-Core Processor | 15,6 Gio de mémoire vive | GeForce GTX 1650 SUPER/PCIe/SSE2
Portable : Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
Répondre